/*
 * faceprop.c
 */

#include "init.h"
#include "faceprop.h"

static VALUE sTT_Face_Properties;

VALUE
tt_faceprop_setup(faceprop)
	TT_Face_Properties *faceprop;
{
	return rb_struct_new(sTT_Face_Properties,
		INT2FIX(faceprop->num_Glyphs),
		INT2FIX(faceprop->max_Points),
		INT2FIX(faceprop->max_Contours),
		INT2FIX(faceprop->num_CharMaps),
		INT2FIX(faceprop->num_Names),
		INT2FIX(faceprop->num_Faces),
		Qnil /* tt_header_setup(faceprop->header) */ ,
		Qnil /* tt_horizontal_setup(faceprop->horizontal) */ ,
		Qnil /* tt_postscript_setup(faceprop->postscript) */ ,
		Qnil /* tt_hdmx_setup(faceprop->hdmx) */ ,
		Qnil /* tt_vertical_setup(faceprop->vertical) */ ,
		0 );
}

void
tt_init_faceprop()
{
	sTT_Face_Properties = rb_struct_define("Face_Properties",
		"num_glyphs",
		"max_points",
		"max_contours",
		"num_charmaps",
		"num_names",
		"num_faces",
		"header",
		"horizontal",
		"postscript",
		"hdmx",
		"vertical",
		0 );
	rb_global_variable(&sTT_Face_Properties);
}
