/*
 * names.c
 */

#include "init.h"
#include "face.h"

static VALUE
tt_face_get_name_id(self, index)
	VALUE self, index;
{
	TT_Face *face;
	TT_UShort platform, encoding, language, name;

	Data_Get_Struct(self, TT_Face, face);
	TT_Get_Name_ID(*face, FIX2INT(index),
		&platform,
		&encoding,
		&language,
		&name );

	return rb_ary_new3(4,
		INT2FIX(platform),
		INT2FIX(encoding),
		INT2FIX(language),
		INT2FIX(name) );
}

static VALUE
tt_face_get_name_string(self, index)
	VALUE self, index;
{
	TT_Face *face;
	TT_String *string;
	TT_UShort  length;

	Data_Get_Struct(self, TT_Face, face);
	TT_Get_Name_String(*face, FIX2INT(index),
		&string, &length);

	return rb_str_new(string, length);
}

void
tt_init_names()
{
	/*
	 * names table support
	 */
	rb_define_method(cTT_face, "name_id", tt_face_get_name_id, 1);
	rb_define_method(cTT_face, "name_string", tt_face_get_name_string, 1);
}
